curl --request GET \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/domains/{domain_id}/sparkline \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/domains/{domain_id}/sparkline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/domains/{domain_id}/sparkline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"data": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": {
"time": "2023-11-07T05:31:56Z",
"valid": true
},
"CompositeRisk": 123,
"FindingCount": 123,
"ImpactedAssetCount": 123,
"DomainSID": "<string>",
"Finding": "<string>"
}
]
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}List attack path sparkline values
List the values that represent the sparklines for individual attack paths
Authorizations
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$Path Parameters
Domain ID
Query Parameters
Sortable columns are CompositeRisk, FindingCount, ImpactedAssetCount, domain_sid, id, created_at, updated_at, deleted_at.
Sort by column. Can be used multiple times; prepend a hyphen for descending order.
See parameter description for details about which columns are sortable.
Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
Beginning datetime of range (inclusive) in RFC-3339 format; Defaults to current datetime minus 30 days
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
Ending datetime of range (exclusive) in RFC-3339 format; Defaults to current datetime
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
The asset group tag id of the zone requested. If not supplied, the asset group tag id associated with 'Tier Zero' and 'Hygiene' is used.